Bug 173321 - ports(7) man page -- no info on building with debugging info
Summary: ports(7) man page -- no info on building with debugging info
Status: Open
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-03 04:10 UTC by Ronald F. Guilmette
Modified: 2018-04-10 23:00 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ronald F. Guilmette 2012-11-03 04:10:01 UTC
Looking in the ports(7) man page, there does not appear to be any information
in there whatsoever that describes the accepted & official method whereby
any given port can be built and installed in such a way so that the
executable(s) and also the shared library/libraries that form the port
will be compiled with full debugging symbols AND so that this debug info
will NOT be stripped out of the components of the port as they are actually
being installed into the directories where they will ultimately live.

This makes no sense to me (and I consider it a bug), because the ports(7)
man page _does_ have what looks like complete information about any and
every possible ``standard'' port Makefile target.  Given that, it seems
to me to be more than reasonable to expect this man page to also document
something as fundamental as how to build & install a port with debug symbols.

Fix: 

I would suggest some prose to add, but frankly, I am not 100% sure that I
know the Right Way to build & install with debugging symbols.  (I think that
I know, but I could easily be wrong.)
How-To-Repeat: 
man 7 ports
Comment 1 Chris Rees freebsd_committer 2012-11-03 09:12:12 UTC
I think that we should just make the manpage a stub pointing to (in
/usr/ports) README, Mk/bsd.options.desc.mk and the comments in
bsd.port.mk.

The ports tree evolves so quickly that any man page written for it
will immediately be out of date and incorrect.

Anyone else agree?

Chris
Comment 2 Jason Helfman freebsd_committer 2013-05-18 04:06:34 UTC
Agreed.

If anything, set DEBUG in /etc/make.conf at a minimal. And after that is
written, and committed, a new method will exist :)

This should be closed.

-jgh

--
Jason Helfman          | FreeBSD Committer
jgh@FreeBSD.org     | http://people.freebsd.org/~jgh  | The Power to Serve
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:59:35 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped